# Uses of Class
org.globus.rsl.Value

Packages that use Value
Package
Description
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of Value in org.globus.rsl

Subclasses of Value in org.globus.rsl
Modifier and Type
Class
Description
`class`
`VarRef`
This class represents a variable reference in the RSL string.
Fields in org.globus.rsl declared as Value
Modifier and Type
Field
Description
`protected Value`
Binding.`_value`
`protected Value`
Value.`concatValue`
`protected Value`
VarRef.`defValue`
Methods in org.globus.rsl that return Value
Modifier and Type
Method
Description
`final Value`
RSLParser.`concatSimpleValue()`
`final Value`
RSLParser.`explicitConcat(LinkedList valueList, LinkedList tokenList)`
`Value`
Value.`getConcat()`
Returns the value that is concatinated with this value.
`Value`
Binding.`getValue()`
Returns the variable value.
`final Value`
RSLParser.`SimpleValue(LinkedList valueList, LinkedList tokenList)`
`final Value`
RSLParser.`variableReference(LinkedList valueList, LinkedList tokenList)`
Methods in org.globus.rsl with parameters of type Value
Modifier and Type
Method
Description
`void`
NameOpValue.`add(Value value)`
Adds a value to the list of values.
`void`
Value.`concat(Value value)`
Appends the specified value to the end of the chain of concatinated values.
`void`
VarRef.`setDefaultValue(Value value)`
Sets the default value of this reference.
Constructors in org.globus.rsl with parameters of type Value
Modifier
Constructor
Description
``
`Binding(String name, Value value)`
``
`NameOpValue(String attribute, int op, Value value)`
``
`Value(String value, Value concatValue)`
``
`VarRef(String varReference, Value defValue)`
``
`VarRef(String varReference, Value defValue, Value concatVal)`